# API Changelog

{% updates format="short" %}
{% update date="2026-04-23" %}

## 2.11

***

**Orchestrations**

* Added [View Push Campaign](/developer/api/cep/orchestrations/view.md) with `GET /view`.
* Retrieve push campaign details, including targeting query and push content.
  {% endupdate %}

{% update date="2026-04-17" %}

## 2.10

***

**Profiles**

* Added `$topic_preferences` support to the [Profile API](/developer/api/cep/profiles.md).
* Added `topic_preferences` as an exportable native attribute in profile exports.
  {% endupdate %}

{% update date="2026-04-13" %}

## 2.10

***

**Segments**

* Added [Segments API](/developer/api/cep/segments.md) with `GET /list`.
* List all segments defined in your Batch project.

**Orchestrations**

* Updated [Orchestrations API](/developer/api/cep/orchestrations.md) `GET /list` with more orchestration types and channel filtering.
* Updated `GET /stats` with influenced opens, conversions, revenue metrics, platform breakdowns, in-app metrics, and SMS click tracking.
  {% endupdate %}

{% update date="2026-01-21" %}

## 2.9

***

**Profiles**

* Added anonymous profile updates by `installation_id` in the [Profile API](/developer/api/cep/profiles.md).
* Use `installation_id` as an alternative to Custom ID.
  {% endupdate %}

{% update date="2025-12-16" %}

## 2.8

***

**Profiles**

* Added Universal Channel event types to the [Profile API](/developer/api/cep/profiles.md): `universal_delivered`, `universal_bounced`.
  {% endupdate %}

{% update date="2025-11-21" %}

## 2.8

***

**Profiles**

* Added Mobile Landing and In-App event types: `in_app_delivered`, `in_app_click`, `in_app_dismissed`, `mobile_landing_delivered`, `mobile_landing_click`, `mobile_landing_dismissed`.
* Added the SMS event type `sms_click`.
* Added `open_type` to `push_open` with `direct` and `influenced`.
* Added `installation_id` support on relevant push, mobile landing, and in-app events.
  {% endupdate %}

{% update date="2025-11-05" %}

## 2.8

***

**Campaigns**

* Added `DRAFT` support to create and update campaign endpoints.
* Added support for up to 5 pre-created labels.
  {% endupdate %}

{% update date="2025-10-07" %}

## 2.7

***

**Audiences**

* Added `email` and `install_id` key support to the Audience API.
  {% endupdate %}

{% update date="2025-08-07" %}

## 2.6

***

**Profiles**

* Added `filter` support to [Export profile data](/developer/api/cep/profiles/export.md).
* Export profiles by segment.
  {% endupdate %}

{% update date="2025-07-03" %}

## 2.5

***

**Orchestrations**

* Added the [Orchestrations API](/developer/api/cep/orchestrations.md).
* List CEP orchestrations and retrieve analytics for a specific orchestration.

**Campaigns**

* Added send rate support to the [Project Campaign API](/developer/api/cep/campaigns.md).
  {% endupdate %}

{% update date="2025-06-06" %}

## 2.4

***

**Profiles**

* Added a [mass update endpoint](/developer/api/cep/profiles/mass-update-profile.md) to the Profile API.
  {% endupdate %}

{% update date="2025-01-31" %}

## 2.4

***

**Profiles**

* Added SMS event types: `sms_sent`, `sms_delivered`, `sms_bounced`, `sms_unsubscribed`.
* Added push event types: `push_sent`, `push_open`, `push_bounced`.
* Added filtering by orchestration ID in the [Profile API](/developer/api/cep/profiles.md).
  {% endupdate %}

{% update date="2024-12-03" %}

## 2.4

***

**Campaigns**

* Added multi-language support to the [Project Campaign API](/developer/api/cep/campaigns.md) with the `languages` array.
* Added web push support and platform targeting with `platform_type`.
* `platform_type` is required. To target all platforms, use `"ios","android","web"`.
* Version 2.3 and lower only target iOS and Android.
* Added imported token support.
  {% endupdate %}

{% update date="2024-08-12" %}

## 2.3

***

**Campaigns**

* Added push notification support to the [Project Campaign API](/developer/api/cep/campaigns.md).
  {% endupdate %}

{% update date="2024-07-20" %}

## 2.0

***

**Profiles**

* Added event exports to [Export profile data](/developer/api/cep/profiles/export.md).
  {% endupdate %}
  {% endupdates %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.batch.com/developer/api/cep/api-changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
